# TSK_HDB_INFO Struct Reference

`#include <hashdb_tools.h>`

## Detailed Description

Holds information about an open hash database.

Created by hdb_open and used for making an index and looking up values.

## Data Fields

TSK_TCHAR * | db_fname
| Name of the database.
TSK_TCHAR * | uns_fname
| Name of unsorted index file.
FILE * | hDb
| File handle to database (always open).
FILE * | hIdxTmp
| File handle to temp (unsorted) index file (only open during index creation).
FILE * | hIdx
| File handle to index (only open during lookups).
OFF_T | idx_size
| Size of index file.
uint16_t | idx_off
| Offset in index file to first index entry.
size_t | idx_llen
| Length of each line in index.
char * | idx_lbuf
| Buffer to hold a line from the index.
TSK_TCHAR * | idx_fname
| Name of index file.
TSK_HDB_HTYPE_ENUM | hash_type
| Type of hash used in index.
uint16_t | hash_len
| Length of hash.
TSK_HDB_DBTYPE_ENUM | db_type
| Type of database.
uint8_t(* | getentry )(TSK_HDB_INFO *, char *, OFF_T, TSK_HDB_FLAG_ENUM, TSK_HDB_LOOKUP_FN, void *)
| Database-specific function to find entry at a given offset.
uint8_t(* | makeindex )(TSK_HDB_INFO *, TSK_TCHAR *)
| Database-specific function to make index.

The documentation for this struct was generated from the following file:

- src/hashtools/hashdb_tools.h